> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a v2 Network Transfer



## OpenAPI

````yaml api-reference/openapi-payments.json POST /v2/network_transfer
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /v2/network_transfer:
    post:
      tags:
        - Network Transfer
      summary: Create v2 Network Transfer
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Example
                value:
                  amount: '100.00'
                  description: Transfer
                  from_account_id: acct_1234567890
                  to_account_id: acct_0987654321
            schema:
              properties:
                amount:
                  description: Amount of money to transfer, with two decimal precision
                  pattern: ^[0-9]+[.][0-9][0-9]$
                  type: string
                bankdata:
                  description: Optional arbitrary data the bank can attach to the object
                  type: object
                description:
                  description: Optional description (maximum of 10 characters)
                  type: string
                from_account_id:
                  description: ID of the Account originating the transfer. Filterable.
                  type: string
                status:
                  description: >-
                    One of `pending`, `canceled`, `sent`, or `error`.
                    Filterable.
                  type: string
                to_account_id:
                  description: ID of the Account receiving the transfer. Filterable.
                  type: string
                userdata:
                  description: Optional arbitrary data that can be attached to the object
                  type: object
              required:
                - to_account_id
                - amount
                - from_account_id
                - id
        description: The v2_network_transfer to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    amount: '100.00'
                    created_at: '2017-11-02T11:55:14Z'
                    cross_bank: true
                    description: Transfer
                    estimated_settlement_at: '2017-11-02T11:55:14Z'
                    from_account_id: acct_1234567890
                    id: nt_1029384756
                    status: pending
                    to_account_id: acct_0987654321
                    updated_at: '2017-11-02T11:55:14Z'
                    userdata: null
              schema:
                properties:
                  amount:
                    description: Amount of money to transfer, with two decimal precision
                    pattern: ^[0-9]+[.][0-9][0-9]$
                    type: string
                  balanced_at:
                    description: >-
                      Timestamp of when the balancing wire for the transfer was
                      created/sent. Only present on `v2` transfers.
                    type: string
                  bankdata:
                    description: Optional arbitrary data the bank can attach to the object
                    type: object
                  cross_bank:
                    description: >-
                      Identifies whether or not this transfer is between
                      different banks. When true, Treasury Prime is explicitly
                      directed to balance on-core funds between the two banks
                      involved. Filterable.
                    type: boolean
                  description:
                    description: Optional description (maximum of 10 characters)
                    type: string
                  error:
                    description: Error message describing why a transfer failed
                    type: string
                  estimated_settlement_at:
                    description: >-
                      Timestamp of when the network transfer is estimated to
                      complete. This will be the current timestamp in all cases
                      except when the Network Transfer is outside of the bank's
                      operating hours. In this situation, the timestamp will be
                      the next banking business day
                    type: string
                  from_account_id:
                    description: ID of the Account originating the transfer. Filterable.
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  org_id:
                    description: >-
                      ID of the organization with which the object is
                      associated. Filterable.
                    type: string
                  status:
                    description: >-
                      One of `pending`, `canceled`, `sent`, or `error`.
                      Filterable.
                    type: string
                  to_account_id:
                    description: ID of the Account receiving the transfer. Filterable.
                    type: string
                  userdata:
                    description: Optional arbitrary data that can be attached to the object
                    type: object
                  version:
                    description: The API version used to create the network transfer
                    type: string
          description: The v2_network_transfer created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````